| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# prompt

$Revision: 1.3 $

$Date: 2002/06/12 11:18:30 $

prompt — A character or string indicating the start of an input field in a computer display

## Synopsis

### Mixed Content Model

    prompt ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage|co)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

A `Prompt` is a character or character string marking the beginning of an input field. `Prompt`s are generally associated with command-line interfaces and not graphical user interfaces (GUIs). In GUIs, `GUILabel` is usually more appropriate.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Future Changes

`Prompt` was added in DocBook V3.0. It duplicates the semantics of `<systemitem class="prompt">`. The `prompt` attribute will be removed from `SystemItem` in the future.

### Parents

These elements contain prompt: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in prompt: `beginpage`, `co`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Prompt`.

## See Also

`computeroutput`, `constant`, `envar`, `filename`, `literal`, `markup`, `option`, `optional`, `parameter`, `replaceable`, `sgmltag`, `systemitem`, `userinput`, `varname`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Enter your user name when the system presents the
    <prompt>login:</prompt> prompt.
    </para>

Enter your user name when the system presents the `login:` prompt.

programlistingco |  | property

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.